Package io.flutter.embedding.engine.systemchannels

## Class PlatformViewsChannel.PlatformViewTouch

- java.lang.Object
- - io.flutter.embedding.engine.systemchannels.PlatformViewsChannel.PlatformViewTouch

- Enclosing class:
    PlatformViewsChannel

      public static class PlatformViewsChannel.PlatformViewTouch
      extends Object

  The state of a touch event in Flutter within a platform view.

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `int` | `action` |
    `int` | `buttonState` | TODO(mattcarroll): javadoc
    `int` | `deviceId` | TODO(mattcarroll): javadoc
    `Number` | `downTime` | The amount of time that the touch has been pressed.
    `int` | `edgeFlags` | TODO(mattcarroll): javadoc
    `Number` | `eventTime` | TODO(mattcarroll): javadoc
    `int` | `flags` | TODO(mattcarroll): javadoc
    `int` | `metaState` | TODO(mattcarroll): javadoc
    `long` | `motionEventId` | TODO(iskakaushik): javadoc
    `int` | `pointerCount` | The number of pointers (e.g, fingers) involved in the touch event.
    `Object` | `rawPointerCoords` | Coordinates for each pointer, encoded in a raw format.
    `Object` | `rawPointerPropertiesList` | Properties for each pointer, encoded in a raw format.
    `int` | `source` | TODO(mattcarroll): javadoc
    `int` | `viewId` | The ID of the platform view as seen by the Flutter side.
    `float` | `xPrecision` | Coordinate precision along the x-axis.
    `float` | `yPrecision` | Coordinate precision along the y-axis.

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `PlatformViewTouch​(int viewId, Number downTime, Number eventTime, int action, int pointerCount, Object rawPointerPropertiesList, Object rawPointerCoords, int metaState, int buttonState, float xPrecision, float yPrecision, int deviceId, int edgeFlags, int source, int flags, long motionEventId)` |

  - ### Method Summary

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### viewId

          public final int viewId

      The ID of the platform view as seen by the Flutter side.

    - #### downTime

          @NonNull
          public final Number downTime

      The amount of time that the touch has been pressed.

    - #### eventTime

          @NonNull
          public final Number eventTime

      TODO(mattcarroll): javadoc

    - #### action

          public final int action

    - #### pointerCount

          public final int pointerCount

      The number of pointers (e.g, fingers) involved in the touch event.

    - #### rawPointerPropertiesList

          @NonNull
          public final Object rawPointerPropertiesList

      Properties for each pointer, encoded in a raw format.

    - #### rawPointerCoords

          @NonNull
          public final Object rawPointerCoords

      Coordinates for each pointer, encoded in a raw format.

    - #### metaState

          public final int metaState

      TODO(mattcarroll): javadoc

    - #### buttonState

          public final int buttonState

      TODO(mattcarroll): javadoc

    - #### xPrecision

          public final float xPrecision

      Coordinate precision along the x-axis.

    - #### yPrecision

          public final float yPrecision

      Coordinate precision along the y-axis.

    - #### deviceId

          public final int deviceId

      TODO(mattcarroll): javadoc

    - #### edgeFlags

          public final int edgeFlags

      TODO(mattcarroll): javadoc

    - #### source

          public final int source

      TODO(mattcarroll): javadoc

    - #### flags

          public final int flags

      TODO(mattcarroll): javadoc

    - #### motionEventId

          public final long motionEventId

      TODO(iskakaushik): javadoc

  - ### Constructor Detail

    - #### PlatformViewTouch

          public PlatformViewTouch​(int viewId,
                                   @NonNull
                                   Number downTime,
                                   @NonNull
                                   Number eventTime,
                                   int action,
                                   int pointerCount,
                                   @NonNull
                                   Object rawPointerPropertiesList,
                                   @NonNull
                                   Object rawPointerCoords,
                                   int metaState,
                                   int buttonState,
                                   float xPrecision,
                                   float yPrecision,
                                   int deviceId,
                                   int edgeFlags,
                                   int source,
                                   int flags,
                                   long motionEventId)